%define __python %{__python3}

Name:           rhui-cds-plugin-authorizer
Version:        1.0.1
Release:        1%{?dist}
Summary:        Authentication plugin framework for RHUI CDS nodes

Group:          Applications/System
License:        GPLv3+ and ASL 2.0
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python3-setuptools
Requires:       python36
Requires:       python3-gunicorn

%description
Provides plugin architecture for authenticators running on RHUI CDS nodes.

%prep
%setup -q -n rhui-cds-plugin-authorizer-%{version}

%build
pushd src
%py3_build
popd

%install
pushd src
%py3_install
popd
find $RPM_BUILD_ROOT -name '*.pyc' -delete
rm -f $RPM_BUILD_ROOT/usr/lib/python3.6/site-packages/rhui_cds_plugin/__init__.py

%files
%defattr(-,root,root,-)
%{python_sitelib}/rhui_cds_plugin
%{python_sitelib}/rhui_cds_plugin_authorizer-*.egg-info/*

%clean
rm -rf %{buildroot}

%changelog
* Wed Jul 21 2021 Sebastian Skracic <sskracic@redhat.com> 1.0.1-1
- new package built with tito

